
struct mp2p_context_t
{
  FILE *in,*out;
  int pushback;
  char dbname[256];
  char convar[256];
  char inname[1024];
  char outname[1024];
  int cflag, column;
  int db_flag;
};

int readchar(struct mp2p_context_t *mp2p);
int gettoken(struct mp2p_context_t *mp2p,char *token, int flag);
void getparameters(struct mp2p_context_t *mp2p,char *param1, char *param2, char *param3);
void copyphp(struct mp2p_context_t *mp2p);
void copyhtml(struct mp2p_context_t *mp2p);

void parse_mysql_affected_rows(struct mp2p_context_t *mp2p);
void parse_mysql_change_user(struct mp2p_context_t *mp2p);
void parse_mysql_close(struct mp2p_context_t *mp2p);
void parse_mysql_connect(struct mp2p_context_t *mp2p);
void parse_mysql_create_db(struct mp2p_context_t *mp2p);
void parse_mysql_data_seek(struct mp2p_context_t *mp2p);
void parse_mysql_db_query(struct mp2p_context_t *mp2p);
void parse_mysql_drop_db(struct mp2p_context_t *mp2p);
void parse_mysql_errno(struct mp2p_context_t *mp2p);
void parse_mysql_error(struct mp2p_context_t *mp2p);
void parse_mysql_fetch_array(struct mp2p_context_t *mp2p);
void parse_mysql_fetch_assoc(struct mp2p_context_t *mp2p);
void parse_mysql_fetch_field(struct mp2p_context_t *mp2p);
void parse_mysql_fetch_lengths(struct mp2p_context_t *mp2p);
void parse_mysql_fetch_object(struct mp2p_context_t *mp2p);
void parse_mysql_fetch_row(struct mp2p_context_t *mp2p);
void parse_mysql_field_name(struct mp2p_context_t *mp2p);
void parse_mysql_field_seek(struct mp2p_context_t *mp2p);
void parse_mysql_field_table(struct mp2p_context_t *mp2p);
void parse_mysql_field_type(struct mp2p_context_t *mp2p);
void parse_mysql_field_flags(struct mp2p_context_t *mp2p);
void parse_mysql_field_len(struct mp2p_context_t *mp2p);
void parse_mysql_free_result(struct mp2p_context_t *mp2p);
void parse_mysql_insert_id(struct mp2p_context_t *mp2p);
void parse_mysql_list_dbs(struct mp2p_context_t *mp2p);
void parse_mysql_list_fields(struct mp2p_context_t *mp2p);
void parse_mysql_list_tables(struct mp2p_context_t *mp2p);
void parse_mysql_num_fields(struct mp2p_context_t *mp2p);
void parse_mysql_num_rows(struct mp2p_context_t *mp2p);
void parse_mysql_pconnect(struct mp2p_context_t *mp2p);
void parse_mysql_ping(struct mp2p_context_t *mp2p);
void parse_mysql_query(struct mp2p_context_t *mp2p);
void parse_mysql_result(struct mp2p_context_t *mp2p);
void parse_mysql_select_db(struct mp2p_context_t *mp2p);
void parse_mysql_tablename(struct mp2p_context_t *mp2p);




